Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.admin.jmx
Class JmxTransactionService

    java.lang.Object
      com.atomikos.icatch.admin.jmx.JmxTransactionService

All Implemented Interfaces:
  JmxTransactionServiceMBean, MBeanRegistration

    public class JmxTransactionService

extends Object
implements JmxTransactionServiceMBean, MBeanRegistration

An MBean implementation for JMX-based transaction administration. If you use this class, then you will also need to register a JmxLogAdministrator with the UserTransactionService. An instance of this class can be registered in a JMX server, and will co-operate with the JmxLogAdministrator. The net effect of this will be that pending transactions can be monitored and administered via JMX.

Constructor Summary
`JmxTransactionService()` Creates a new instance.

Method Summary
`boolean` | `getHeuristicsOnly()` Gets the heuristic mode.
`ObjectName[]` | `getTransactions()` Gets the pending transactions from the Transaction Service.
`void` | `postDeregister()`
`void` | `postRegister(Boolean arg0)`
`void` | `preDeregister()`
`ObjectName` | `preRegister(MBeanServer server, ObjectName name)`
`void` | `setHeuristicsOnly(boolean heuristicsOnly)` Sets whether only heuristic transactions should be returned.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxTransactionService

    public JmxTransactionService()

  Creates a new instance.

Method Detail

### getTransactions

    public ObjectName[] getTransactions()

  Description copied from interface: `JmxTransactionServiceMBean`
  Gets the pending transactions from the Transaction Service.

  Specified by:
    `getTransactions` in interface `JmxTransactionServiceMBean`
  Returns:
    ObjectName[] An array of all MBean object names (one MBean is created for each transaction).
  See Also:
    `com.atomikos.icatch.admin.jmx.TransactionServiceMBean#getTransactions()`

### preRegister

    public ObjectName preRegister(MBeanServer server,
                                  ObjectName name)
                           throws Exception

  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Throws:
    `Exception`
  See Also:
    `MBeanRegistration.preRegister(javax.management.MBeanServer, javax.management.ObjectName)`

### postRegister

    public void postRegister(Boolean arg0)

  Specified by:
    `postRegister` in interface `MBeanRegistration`
  See Also:
    `MBeanRegistration.postRegister(java.lang.Boolean)`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Throws:
    `Exception`
  See Also:
    `MBeanRegistration.preDeregister()`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `MBeanRegistration`
  See Also:
    `MBeanRegistration.postDeregister()`

### setHeuristicsOnly

    public void setHeuristicsOnly(boolean heuristicsOnly)

  Sets whether only heuristic transactions should be returned. Optional, defaults to false.

  Specified by:
    `setHeuristicsOnly` in interface `JmxTransactionServiceMBean`
  Parameters:
    `heuristicsOnly` -

### getHeuristicsOnly

    public boolean getHeuristicsOnly()

  Description copied from interface: `JmxTransactionServiceMBean`
  Gets the heuristic mode.

  Specified by:
    `getHeuristicsOnly` in interface `JmxTransactionServiceMBean`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.